<?php 
 include('../_cfg/config.php');
 include('php_gene1.php');
 include('php_session.php');
die();
?>
<?php $xmodu=strtolower($_POST['modu']); ?>


<?php $poptions=''; ?>

<resultado>
  <optgro>
    <?php 
    
    if(mb_stristr('vtas.clie.carr',$xmodu))
    {
      $poptions.='enti,Cliente;';
      $poptions.='item,Producto;';
      $poptions.='vndd,Vendedor;';
      $poptions.='zsub,Zonas;';
      $poptions.='lsub,Lineas;';
      $poptions.='fmes,Mes;';
      $poptions.='fsema,Semanal;';
      $poptions.='fecha,Diario;';
      $poptions.='ptov,Pto.Vta.;';
    }
    
    if(mb_stristr('comp.prov',$xmodu))
    {
      $poptions.='enti,Proveedor;';
      $poptions.='tpro,Tipo Prov.;';
      $poptions.='item,Producto;';
      $poptions.='ctas,Cuenta;';
      $poptions.='cair,Cod.Imp.Rta.;';
      $poptions.='fmes,Mes;';
    }
    
    if(mb_stristr('inve.prod',$xmodu))
    {
      $poptions.='item,Producto;';
      $poptions.='enti,Proveedor;';
      $poptions.='lsub,Lineas;';
    }
    
    if(mb_stristr('nomi.rolp',$xmodu))
    {
      $poptions.='enti,Empleado;';
      $poptions.='nvdd,Novedad;';
    }

    if(mb_stristr('cxco.',$xmodu))
    {
      $poptions.='enti,Cliente;';
//       $poptions.='anti,Anticipos;';
    }

    if(mb_stristr('cxpa.',$xmodu))
    {
      $poptions.='enti,Proveedor;';
//       $poptions.='anti,Anticipos;';
    }

    $poptions.='idnum1,Transaccion;';
    
    $poptions=explode(';',$poptions);
    for ($copt=0; $copt<count($poptions); $copt++)
    { 
     $optval=explode(',',$poptions[$copt]); 
     $seloptv1= $optval[0]; 
     $seloptv2= $optval[1]; 
     $xlong=strlen($seloptv2);
     if($xlong>$plong){$plong=$xlong;}
    } 

		for ($copt=0; $copt<count($poptions); $copt++)
    { 
			 $optval=explode(',',$poptions[$copt]);
			 $seloptv1= $optval[0];
			 $seloptv2= $optval[1];
			 if($seloptv2==""){$seloptv2=$seloptv1;}
			 if($seloptv1!="")
       {echo '<option value="'.$seloptv1.'">'.$seloptv2.'</option>';} 
    }
    
    
    ?>
    
  </optgro>


</resultado>


